# $Revision: 1.24 $, $Date: 2010/07/08 08:20:21 $

%define		module	log4py

Summary:	Python logging module
Summary(pl.UTF-8):	Moduły Pythona do obsługi logowania zdarzeń
Name:		python-%{module}
Version:	1.3
Release:	8
License:	MIT
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/log4py/%{module}-%{version}.tar.gz
# Source0-md5:	dc250a8a899c7e70464d683dfc3bdc4f
URL:		http://www.its4you.at/log4py.php
BuildRequires:	python >= 1:2.5
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Log4Py is a Python logging module similar to log4j. It supports
logging to files or to stdout/stderr, variable log-levels,
configurable output formats and configuration via configuration files.

%description -l pl.UTF-8
Log4Py jest modułem języka Python, podobnym do log4j. Moduł umożliwia
logowanie zdarzeń do plików, na standardowe wyjście oraz standardowe
wyjście błędów, tworzenie różnych poziomów logowania, konfigurowanie
wyświetlanych informacji oraz konfigurację za pomocą plików
konfiguracyjnych.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

PYTHONPATH=$RPM_BUILD_ROOT%{py_sitescriptdir}
export PYTHONPATH

python setup.py install --optimize=2 --root=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name "*.py" | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/{ChangeLog,AUTHORS,LICENSE} readme.txt log4py.conf doc/html
%{py_sitescriptdir}/*.py[co]
%{py_sitescriptdir}/*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-log4py.spec,v $
Revision 1.24  2010/07/08 08:20:21  arekm
- release 8

Revision 1.23  2008/10/03 17:52:59  arekm
- release 7

Revision 1.22  2007-09-04 16:21:42  qboosh
- python 2.5 for .egg-info
- BR: rpm-pythonprov

Revision 1.21  2007/09/04 14:41:48  baggins
- rel 6
- proper dir

Revision 1.20  2007/09/04 14:38:21  baggins
- rel 5
- package .egg-info

Revision 1.19  2007/09/04 14:35:45  baggins
- rel 4

Revision 1.18  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.16  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.15  2004/12/25 15:06:26  saq
- release 3 for rebuild with python 2.4

Revision 1.14  2004/07/28 08:03:16  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.13  2004/01/19 13:33:42  jajcus
- Release: 2
- new architecture-independent python modules paths

Revision 1.12  2003/11/03 00:25:42  arekm
- updated to 1.3

Revision 1.11  2003/05/28 13:01:29  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/03/10 14:37:09  qboosh
- working Source URL

Revision 1.8  2002/11/30 23:00:25  juandon
- new %%doc

Revision 1.7  2002/04/13 17:16:10  kloczek
- rebuild against python 2.2.1.

Revision 1.6  2002/04/11 12:17:54  wrobell
- use pyrequires_eq macro
- rel. 3
- stb

Revision 1.5  2002/03/18 07:08:01  wrobell
- group changed to Libraries/Python
- rel. 2
- stb

Revision 1.4  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/22 00:05:29  kloczek
- cosmetics.

Revision 1.2  2002/02/21 23:23:55  wrobell
- fixed summaries

Revision 1.1  2002/02/21 22:45:58  wrobell
- based on python-pyirclib.spec
